export type StyleType = "fill" | "outline" | "text";

export type StyleColorVariants = "blue" | "pink" | "red" | "purple" | "yellow" | "sky" | "emerald" | "gray" | "dark-coral";

export type StyleGlobalVariants = "primary" | "base" | "secondary";

export type StyleColorVariantsMap<T> = {
  [Property in StyleColorVariants]: T;
};

export type StyleGlobalVarinatsMap<T> = {
  [Property in StyleGlobalVariants]: T;
}

export type FontWeightVariants = 'thin' | 'extralight' | 'light' | 'normal' | 'medium' | 'semibold' | 'bold' | 'extrabold' | 'black'

export type TypographyHtmlTagVariants = "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "p";

export type TypographyFontWeightVariantsMap<T> = {
  [Property in FontWeightVariants]: T;
}